Accounts
The accounts resource.
Basehttps://rest.carbon.ms/accounts
GET
/accountsList accountss
Retrieve a paginated list of accountss. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GEThttps://rest.carbon.ms/accounts
curl --request GET \
--url 'https://rest.carbon.ms/accounts?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"id": "abc123def456",
"name": "Example",
"number": "string",
"class": "string",
"incomeBalance": "string",
"consolidatedRate": "string",
"active": true,
"createdBy": "string"
}
]GET
/accountsRetrieve a accounts
Fetch a single accounts by filtering on `id`.
Query parameters
idstringMatch on the accounts's `id`, e.g. `eq.{id}`.
GEThttps://rest.carbon.ms/accounts
curl --request GET \
--url 'https://rest.carbon.ms/accounts?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"id": "abc123def456",
"name": "Example",
"number": "string",
"class": "string",
"incomeBalance": "string",
"consolidatedRate": "string",
"active": true,
"createdBy": "string"
}POST
/accountsCreate a accounts
Create a new accounts.
Body parameters
numberstringnamestringclassglAccountClassincomeBalanceglIncomeBalanceconsolidatedRateglConsolidatedRateactivebooleancustomFieldsobjecttagsarraycompanyGroupIdstringReferences companyGroup.id
parentIdstringReferences account.id
isGroupbooleanaccountTypeaccountTypeisSystembooleanPOSThttps://rest.carbon.ms/accounts
curl --request POST \
--url https://rest.carbon.ms/accounts \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"name":"Example"}'Response
{
"id": "abc123def456",
"name": "Example",
"number": "string",
"class": "string",
"incomeBalance": "string",
"consolidatedRate": "string",
"active": true,
"createdBy": "string"
}PATCH
/accountsUpdate a accounts
Update an existing accounts, matched on `id`.
Body parameters
numberstringnamestringclassglAccountClassincomeBalanceglIncomeBalanceconsolidatedRateglConsolidatedRateactivebooleancustomFieldsobjecttagsarraycompanyGroupIdstringReferences companyGroup.id
parentIdstringReferences account.id
isGroupbooleanaccountTypeaccountTypeisSystembooleanPATCHhttps://rest.carbon.ms/accounts
curl --request PATCH \
--url 'https://rest.carbon.ms/accounts?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"number":"string"}'Response
{
"id": "abc123def456",
"name": "Example",
"number": "string",
"class": "string",
"incomeBalance": "string",
"consolidatedRate": "string",
"active": true,
"createdBy": "string"
}DELETE
/accountsDelete a accounts
Delete a accounts, matched on `id`. Returns 204 No Content.
Query parameters
idstringThe `id` of the accounts to delete, e.g. `eq.{id}`.
DELETEhttps://rest.carbon.ms/accounts
curl --request DELETE \
--url 'https://rest.carbon.ms/accounts?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'204 No Content